curl --request POST \
--url https://{cluster}.cognitedata.com/api/v1/projects/{project}/files/completemultipartupload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uploadId": "<string>",
"id": 4503599627370496
}
'{}Required capabilities:
filesAcl:WRITEOr
dataModelsAcl:READ(scope spaceId:cdf_cdm) anddataModelInstancesAcl:WRITE
Completes a multipart file upload.
This endpoint must be called by the client when an ‘initMultiPartUpload’ operation (POST /files/initmultipartupload) was called,
and all file content parts have been successfully uploaded using PUT for all upload URLs.
Either id or externalId must be specified in the request body, but not both. The uploadId is also required.
The values for these properties can be retrieved from the response of the initMultiPartUpload operation.
Please note that this endpoint is subject to the new throttling policy, which imposes limits on both request rate and concurrency. For more details, please refer to the Files resource documentation.
curl --request POST \
--url https://{cluster}.cognitedata.com/api/v1/projects/{project}/files/completemultipartupload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uploadId": "<string>",
"id": 4503599627370496
}
'{}Access token issued by the CDF project's configured identity provider. Access token must be an OpenID Connect token, and the project must be configured to accept OpenID Connect tokens. Use a header key of 'Authorization' with a value of 'Bearer $accesstoken'. The token can be obtained through any flow supported by the identity provider.
The JSON request body which specifies which file id/externalId and uploadId to complete the multipart upload for.
Empty response.
The response is of type object.
Was this page helpful?